#ifndef EXECSETTINGSPANEL_H
#define EXECSETTINGSPANEL_H
#include <wx/wx.h>
#include "settings.h"

class ExecSettingsPanel : public wxPanel
{
public:
	ExecSettingsPanel(wxWindow *oParent, Settings *oNewSettings);

private:
	// Sizers.
	wxBoxSizer *oWindowSizer;
	wxBoxSizer *oMainSizer;
	wxBoxSizer *oButtonSizer;
	
	// Controls.
	wxButton *btnAdd;
	wxButton *btnChange;
	wxButton *btnDelete;

	// Event handlers.
	void on_btnAdd(wxCommandEvent &oEvent);
	void on_btnChange(wxCommandEvent &oEvent);
	void on_btnDelete(wxCommandEvent &oEvent);
	
	// Variables.
	Settings *oSettings;

	DECLARE_EVENT_TABLE()
};

#endif

