#include "execsettingspanel.h"

enum
{
	BTN_ADD = wxID_HIGHEST,
	BTN_CHANGE,
	BTN_DELETE,
};

BEGIN_EVENT_TABLE(ExecSettingsPanel, wxPanel)
	EVT_BUTTON(BTN_ADD, ExecSettingsPanel::on_btnAdd)
	EVT_BUTTON(BTN_CHANGE, ExecSettingsPanel::on_btnChange)
	EVT_BUTTON(BTN_DELETE, ExecSettingsPanel::on_btnDelete)
END_EVENT_TABLE()

ExecSettingsPanel::ExecSettingsPanel(wxWindow *oParent, Settings *oNewSettings)
: wxPanel(oParent, -1)
{
	oSettings = oNewSettings;
	
	// Sizer creation.
	oWindowSizer = new wxBoxSizer(wxVERTICAL);
	oMainSizer = new wxBoxSizer(wxVERTICAL);
	oButtonSizer = new wxBoxSizer(wxHORIZONTAL);

	// Control creation.
	btnAdd = new wxButton(this, BTN_ADD, "Add");
	btnChange = new wxButton(this, BTN_CHANGE, "Change");
	btnDelete = new wxButton(this, BTN_DELETE, "Delete");

	// Sizer manipulation.
	oButtonSizer->Add(btnDelete);
	oButtonSizer->Add(btnChange);
	oButtonSizer->Add(btnDelete);

	oMainSizer->Add(oButtonSizer);
	
	oWindowSizer->Add(oMainSizer);

	SetSizer(oWindowSizer);
	SetAutoLayout(true);
	oWindowSizer->Fit(this);
}

void ExecSettingsPanel::on_btnAdd(wxCommandEvent &oEvent)
{
	Close();
}

void ExecSettingsPanel::on_btnChange(wxCommandEvent &oEvent)
{
}

void ExecSettingsPanel::on_btnDelete(wxCommandEvent &oEvent)
{
}

