#ifndef FILEHANDLER_H
#define FILEHANDLER_H
#include <string>
#include <vector>

class UFileHandler
{
public:
	static bool rmFile(const std::string &sFilename);
	static bool mkDir(const std::string &sDir);
	static bool isExecutable(const std::string &sFilename);
	static bool isSymlink(const std::string &sFilename);
	static bool isDir(const std::string &sDir);
	static bool isFile(const std::string &sFilename);

	static std::vector<std::string> importFile(const std::string &sFilename);
};

#endif

